<ng-container
  *ngIf="!(entityNotFound$ | async); else notFound"
  [sqtmCoreViewId]="'action-word-view'"
>
  <ng-container *ngIf="componentData$ | async as componentData; else loading">
    <div class="full-width full-height flex-column neutral-background-color">
      <div class="full-width flex-fixed-size flex-row p-10 p-t-20">
        <ng-content select="[projection=detail-buttons]"></ng-content>
        <sqtm-core-fold-button class="m-t-10"></sqtm-core-fold-button>
        <ng-template nzDrawerContent></ng-template>
        <div class="full-width sqtm-core-screen-title m-l-20">
          {{ componentData.word }}
        </div>
      </div>
      <div class="full-width full-height flex-row overflow-hidden">
        <div class="flex-fixed-size side-bar">
          <div class="anchor-bar">
            <sqtm-core-anchor>
              <sqtm-core-anchor-group [id]="'content'">
                <sqtm-core-anchor-link
                  [id]="'information'"
                  sqtmCoreDefaultAnchorLink
                  nz-tooltip
                  nzTooltipPlacement="right"
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.information.plural' | translate
                  "
                  [iconName]="'sqtm-core-generic:information'"
                >
                </sqtm-core-anchor-link>
                <sqtm-core-anchor-link
                  nz-tooltip
                  nzTooltipPlacement="right"
                  [id]="'parameters'"
                  [nzTooltipTitle]="
                    'sqtm-core.entity.parameter.plural' | translate
                  "
                  [iconName]="'sqtm-core-action:parameters'"
                >
                </sqtm-core-anchor-link>
                <sqtm-core-anchor-link
                  nz-tooltip
                  nzTooltipPlacement="right"
                  [id]="'test-cases'"
                  [nzTooltipTitle]="
                    'sqtm-core.action-word-workspace.title.test-cases-using-action-word'
                      | translate
                  "
                  [iconName]="'sqtm-core-action:test_case'"
                >
                </sqtm-core-anchor-link>
                <sqtm-core-anchor-link
                  nz-tooltip
                  nzTooltipPlacement="right"
                  [id]="'implementation'"
                  [nzTooltipTitle]="
                    'sqtm-core.action-word-workspace.title.implementation'
                      | translate
                  "
                  [iconName]="'sqtm-core-action:implementation'"
                >
                </sqtm-core-anchor-link>
              </sqtm-core-anchor-group>
            </sqtm-core-anchor>
          </div>
        </div>
        <div #content class="content-body full-height full-width">
          <router-outlet></router-outlet>
        </div>
      </div>
    </div>
  </ng-container>
</ng-container>

<ng-template #loading>
  <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
</ng-template>

<ng-template #notFound>
  <sqtm-core-entity-not-found [httpError]="initialLoadError$ | async">
  </sqtm-core-entity-not-found>
</ng-template>
